Rotate a Fleet message signing key pair

Base URL
https://{kibana_url}
  • POST /api/fleet/message_signing_service/rotate_key_pair
Auth

Rotate the key pair used by Fleet to sign messages sent to Elastic Agents. This operation is irreversible and requires all agents in the Fleet to be re-enrolled after rotation. You must explicitly acknowledge the risk by passing acknowledge=true as a query parameter.

Required authorization

Privileges fleet-agents-all and fleet-agent-policies-all and fleet-settings-all

Query parameters

acknowledge boolean · default: false

Set to true to confirm you understand the risks of rotating the key pair

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Responses

Key pair rotated successfully

application/json
message string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number

Internal Server Error

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}